Index: src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/objects.map
===================================================================
--- src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/objects.map	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
+++ src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/objects.map	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
@@ -0,0 +1,86 @@
+:DensityPanel.Close_QPushButton	{text='Close' type='QPushButton' unnamed='1' visible='1' window=':DensityPanel_DensityPanel'}
+:DensityPanel.Reset_QPushButton	{text='Reset' type='QPushButton' unnamed='1' visible='1' window=':DensityPanel_DensityPanel'}
+:DensityPanel.editMassDensity_QLineEdit	{name='editMassDensity' type='QLineEdit' visible='1' window=':DensityPanel_DensityPanel'}
+:DensityPanel.editMolarMass_QLineEdit	{name='editMolarMass' type='QLineEdit' visible='1' window=':DensityPanel_DensityPanel'}
+:DensityPanel.editMolarVolume_QLineEdit	{name='editMolarVolume' type='QLineEdit' visible='1' window=':DensityPanel_DensityPanel'}
+:DensityPanel.editMolecularFormula_QLineEdit	{name='editMolecularFormula' type='QLineEdit' visible='1' window=':DensityPanel_DensityPanel'}
+:DensityPanel_DensityPanel	{name='DensityPanel' type='DensityPanel' visible='1'}
+:GenericScatteringCalculator.cmdClose_QPushButton	{name='cmdClose' type='QPushButton' visible='1' window=':GenericScatteringCalculator_GenericScatteringCalculator'}
+:GenericScatteringCalculator.cmdCompute_QPushButton	{name='cmdCompute' type='QPushButton' visible='1' window=':GenericScatteringCalculator_GenericScatteringCalculator'}
+:GenericScatteringCalculator.cmdHelp_QPushButton	{name='cmdHelp' type='QPushButton' visible='1' window=':GenericScatteringCalculator_GenericScatteringCalculator'}
+:GenericScatteringCalculator.cmdReset_QPushButton	{name='cmdReset' type='QPushButton' visible='1' window=':GenericScatteringCalculator_GenericScatteringCalculator'}
+:GenericScatteringCalculator.groupBox_Datafile_QGroupBox	{name='groupBox_Datafile' type='QGroupBox' visible='1' window=':GenericScatteringCalculator_GenericScatteringCalculator'}
+:GenericScatteringCalculator.groupBox_InputParam_QGroupBox	{name='groupBox_InputParam' type='QGroupBox' visible='1' window=':GenericScatteringCalculator_GenericScatteringCalculator'}
+:GenericScatteringCalculator.groupBox_Qrange_QGroupBox	{name='groupBox_Qrange' type='QGroupBox' visible='1' window=':GenericScatteringCalculator_GenericScatteringCalculator'}
+:GenericScatteringCalculator.groupBox_SLDPixelInfo_QGroupBox	{name='groupBox_SLDPixelInfo' type='QGroupBox' visible='1' window=':GenericScatteringCalculator_GenericScatteringCalculator'}
+:GenericScatteringCalculator_GenericScatteringCalculator	{name='GenericScatteringCalculator' type='GenericScatteringCalculator' visible='1'}
+:KiessigPanel.computeButton_QPushButton	{name='computeButton' type='QPushButton' visible='1' window=':KiessigPanel_KiessigPanel'}
+:KiessigPanel.groupBox_2_QGroupBox	{name='groupBox_2' type='QGroupBox' visible='1' window=':KiessigPanel_KiessigPanel'}
+:KiessigPanel.groupBox_QGroupBox	{name='groupBox' type='QGroupBox' visible='1' window=':KiessigPanel_KiessigPanel'}
+:KiessigPanel_KiessigPanel	{name='KiessigPanel' type='KiessigPanel' visible='1'}
+:MainWindow.Welcome to SasView_QLabel	{text='Welcome to SasView' type='QLabel' unnamed='1' visible='1' window=':MainWindow_MainSasViewWindow'}
+:MainWindow.menuTool_QMenu	{name='menuTool' type='QMenu' visible='1' window=':MainWindow_MainSasViewWindow'}
+:MainWindow.menubar_QMenuBar	{name='menubar' type='QMenuBar' visible='1' window=':MainWindow_MainSasViewWindow'}
+:MainWindow_MainSasViewWindow	{name='MainWindow' type='MainSasViewWindow' visible='1'}
+:QFileDialog.Cancel_QPushButton	{text='Cancel' type='QPushButton' unnamed='1' visible='1' window=':QFileDialog_QFileDialog'}
+:QFileDialog.fileNameLabel_QLabel	{name='fileNameLabel' type='QLabel' visible='1' window=':QFileDialog_QFileDialog'}
+:QFileDialog.fileTypeCombo_QComboBox	{name='fileTypeCombo' type='QComboBox' visible='1' window=':QFileDialog_QFileDialog'}
+:QFileDialog.splitter_QSplitter	{name='splitter' type='QSplitter' visible='1' window=':QFileDialog_QFileDialog'}
+:QFileDialog.toParentButton_QToolButton	{name='toParentButton' type='QToolButton' visible='1' window=':QFileDialog_QFileDialog'}
+:QFileDialog_QFileDialog	{name='QFileDialog' type='QFileDialog' visible='1'}
+:SldPanel.Close_QPushButton	{text='Close' type='QPushButton' unnamed='1' visible='1' window=':SldPanel_SldPanel'}
+:SldPanel.Reset_QPushButton	{text='Reset' type='QPushButton' unnamed='1' visible='1' window=':SldPanel_SldPanel'}
+:SldPanel.groupBoxInput_QGroupBox	{name='groupBoxInput' type='QGroupBox' visible='1' window=':SldPanel_SldPanel'}
+:SldPanel.groupBoxOutput_QGroupBox	{name='groupBoxOutput' type='QGroupBox' visible='1' window=':SldPanel_SldPanel'}
+:SldPanel_SldPanel	{name='SldPanel' type='SldPanel' visible='1'}
+:SlitSizeCalculator.browseButton_QPushButton	{name='browseButton' type='QPushButton' visible='1' window=':SlitSizeCalculator_SlitSizeCalculator'}
+:SlitSizeCalculator.closeButton_QPushButton	{name='closeButton' type='QPushButton' visible='1' window=':SlitSizeCalculator_SlitSizeCalculator'}
+:SlitSizeCalculator.groupBox_2_QGroupBox	{name='groupBox_2' type='QGroupBox' visible='1' window=':SlitSizeCalculator_SlitSizeCalculator'}
+:SlitSizeCalculator.groupBox_QGroupBox	{name='groupBox' type='QGroupBox' visible='1' window=':SlitSizeCalculator_SlitSizeCalculator'}
+:SlitSizeCalculator_SlitSizeCalculator	{name='SlitSizeCalculator' type='SlitSizeCalculator' visible='1'}
+:_Plotter2D	{type='Plotter2D' unnamed='1' visible='1'}
+:fileNameEdit_QLineEdit	{buddy=':QFileDialog.fileNameLabel_QLabel' name='fileNameEdit' type='QLineEdit' visible='1'}
+:frame.stackedWidget_QStackedWidget	{container=':splitter.frame_QFrame' name='stackedWidget' type='QStackedWidget' visible='1'}
+:groupBox.data_file_QLineEdit	{container=':SlitSizeCalculator.groupBox_QGroupBox' name='data_file' type='QLineEdit' visible='1'}
+:groupBox.deltaq_in_QLineEdit	{container=':KiessigPanel.groupBox_QGroupBox' name='deltaq_in' type='QLineEdit' visible='1'}
+:groupBoxInput.editMassDensity_QLineEdit	{container=':SldPanel.groupBoxInput_QGroupBox' name='editMassDensity' type='QLineEdit' visible='1'}
+:groupBoxInput.editMolecularFormula_QLineEdit	{container=':SldPanel.groupBoxInput_QGroupBox' name='editMolecularFormula' type='QLineEdit' visible='1'}
+:groupBoxInput.editWavelength_QLineEdit	{container=':SldPanel.groupBoxInput_QGroupBox' name='editWavelength' type='QLineEdit' visible='1'}
+:groupBoxOutput.editCuKaSldReal_QLineEdit	{container=':SldPanel.groupBoxOutput_QGroupBox' name='editCuKaSldReal' type='QLineEdit' visible='1'}
+:groupBoxOutput.editMoKaSldReal_QLineEdit	{container=':SldPanel.groupBoxOutput_QGroupBox' name='editMoKaSldReal' type='QLineEdit' visible='1'}
+:groupBoxOutput.editNeutronAbsXs_QLineEdit	{container=':SldPanel.groupBoxOutput_QGroupBox' name='editNeutronAbsXs' type='QLineEdit' visible='1'}
+:groupBoxOutput.editNeutronIncXs_QLineEdit	{container=':SldPanel.groupBoxOutput_QGroupBox' name='editNeutronIncXs' type='QLineEdit' visible='1'}
+:groupBoxOutput.editNeutronLength_QLineEdit	{container=':SldPanel.groupBoxOutput_QGroupBox' name='editNeutronLength' type='QLineEdit' visible='1'}
+:groupBoxOutput.editNeutronSldReal_QLineEdit	{container=':SldPanel.groupBoxOutput_QGroupBox' name='editNeutronSldReal' type='QLineEdit' visible='1'}
+:groupBox_2.lengthscale_out_QLineEdit	{container=':KiessigPanel.groupBox_2_QGroupBox' name='lengthscale_out' type='QLineEdit' visible='1'}
+:groupBox_2.slit_length_out_QLineEdit	{container=':SlitSizeCalculator.groupBox_2_QGroupBox' name='slit_length_out' type='QLineEdit' visible='1'}
+:groupBox_5.txtMx_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_5_QGroupBox' name='txtMx' type='QLineEdit' visible='1'}
+:groupBox_5.txtMy_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_5_QGroupBox' name='txtMy' type='QLineEdit' visible='1'}
+:groupBox_5.txtMz_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_5_QGroupBox' name='txtMz' type='QLineEdit' visible='1'}
+:groupBox_5.txtNucl_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_5_QGroupBox' name='txtNucl' type='QLineEdit' visible='1'}
+:groupBox_6.txtXnodes_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_6_QGroupBox' name='txtXnodes' type='QLineEdit' visible='1'}
+:groupBox_6.txtYnodes_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_6_QGroupBox' name='txtYnodes' type='QLineEdit' visible='1'}
+:groupBox_6.txtZnodes_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_6_QGroupBox' name='txtZnodes' type='QLineEdit' visible='1'}
+:groupBox_Datafile.cbShape_QComboBox	{container=':GenericScatteringCalculator.groupBox_Datafile_QGroupBox' name='cbShape' type='QComboBox' visible='1'}
+:groupBox_Datafile.cmdDraw_QPushButton	{container=':GenericScatteringCalculator.groupBox_Datafile_QGroupBox' name='cmdDraw' type='QPushButton' visible='1'}
+:groupBox_Datafile.cmdLoad_QPushButton	{container=':GenericScatteringCalculator.groupBox_Datafile_QGroupBox' name='cmdLoad' type='QPushButton' visible='1'}
+:groupBox_Datafile.txtData_QLineEdit	{container=':GenericScatteringCalculator.groupBox_Datafile_QGroupBox' name='txtData' type='QLineEdit' visible='1'}
+:groupBox_InputParam.txtBackground_QLineEdit	{container=':GenericScatteringCalculator.groupBox_InputParam_QGroupBox' name='txtBackground' type='QLineEdit' visible='1'}
+:groupBox_InputParam.txtScale_QLineEdit	{container=':GenericScatteringCalculator.groupBox_InputParam_QGroupBox' name='txtScale' type='QLineEdit' visible='1'}
+:groupBox_InputParam.txtSolventSLD_QLineEdit	{container=':GenericScatteringCalculator.groupBox_InputParam_QGroupBox' name='txtSolventSLD' type='QLineEdit' visible='1'}
+:groupBox_InputParam.txtTotalVolume_QLineEdit	{container=':GenericScatteringCalculator.groupBox_InputParam_QGroupBox' name='txtTotalVolume' type='QLineEdit' visible='1'}
+:groupBox_InputParam.txtUpFracIn_QLineEdit	{container=':GenericScatteringCalculator.groupBox_InputParam_QGroupBox' name='txtUpFracIn' type='QLineEdit' visible='1'}
+:groupBox_InputParam.txtUpFracOut_QLineEdit	{container=':GenericScatteringCalculator.groupBox_InputParam_QGroupBox' name='txtUpFracOut' type='QLineEdit' visible='1'}
+:groupBox_InputParam.txtUpTheta_QLineEdit	{container=':GenericScatteringCalculator.groupBox_InputParam_QGroupBox' name='txtUpTheta' type='QLineEdit' visible='1'}
+:groupBox_Qrange.txtNoQBins_QLineEdit	{container=':GenericScatteringCalculator.groupBox_Qrange_QGroupBox' name='txtNoQBins' type='QLineEdit' visible='1'}
+:groupBox_SLDPixelInfo.cmdDrawpoints_QPushButton	{container=':GenericScatteringCalculator.groupBox_SLDPixelInfo_QGroupBox' name='cmdDrawpoints' type='QPushButton' visible='1'}
+:groupBox_SLDPixelInfo.cmdSave_QPushButton	{container=':GenericScatteringCalculator.groupBox_SLDPixelInfo_QGroupBox' name='cmdSave' type='QPushButton' visible='1'}
+:groupBox_SLDPixelInfo.groupBox_5_QGroupBox	{container=':GenericScatteringCalculator.groupBox_SLDPixelInfo_QGroupBox' name='groupBox_5' type='QGroupBox' visible='1'}
+:groupBox_SLDPixelInfo.groupBox_6_QGroupBox	{container=':GenericScatteringCalculator.groupBox_SLDPixelInfo_QGroupBox' name='groupBox_6' type='QGroupBox' visible='1'}
+:groupBox_SLDPixelInfo.groupBox_Stepsize_QGroupBox	{container=':GenericScatteringCalculator.groupBox_SLDPixelInfo_QGroupBox' name='groupBox_Stepsize' type='QGroupBox' visible='1'}
+:groupBox_SLDPixelInfo.txtNoPixels_QLineEdit	{container=':GenericScatteringCalculator.groupBox_SLDPixelInfo_QGroupBox' name='txtNoPixels' type='QLineEdit' visible='1'}
+:groupBox_Stepsize.txtXstepsize_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_Stepsize_QGroupBox' name='txtXstepsize' type='QLineEdit' visible='1'}
+:groupBox_Stepsize.txtYstepsize_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_Stepsize_QGroupBox' name='txtYstepsize' type='QLineEdit' visible='1'}
+:groupBox_Stepsize.txtZstepsize_QLineEdit	{container=':groupBox_SLDPixelInfo.groupBox_Stepsize_QGroupBox' name='txtZstepsize' type='QLineEdit' visible='1'}
+:splitter.frame_QFrame	{container=':QFileDialog.splitter_QSplitter' name='frame' type='QFrame' visible='1'}
+:stackedWidget.listView_QListView	{container=':frame.stackedWidget_QStackedWidget' name='listView' type='QListView' visible='1'}
Index: src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/suite.conf
===================================================================
--- src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/suite.conf	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
+++ src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/suite.conf	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
@@ -0,0 +1,8 @@
+AUT=sasview
+ENVVARS=envvars
+HOOK_SUB_PROCESSES=false
+IMPLICITAUTSTART=0
+LANGUAGE=JavaScript
+TEST_CASES=tst_SLD_Calculator tst_Density_Calculator tst_SlitSize_Calculator tst_Kiessing_Calculator tst_Scattering_Calculator
+VERSION=3
+WRAPPERS=Qt
Index: src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Density_Calculator/test.js
===================================================================
--- src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Density_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
+++ src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Density_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
@@ -0,0 +1,27 @@
+function main() {
+    startApplication("sasview");
+    activateItem(waitForObjectItem(":MainWindow.menubar_QMenuBar", "Tool"));
+    activateItem(waitForObjectItem(":MainWindow.menuTool_QMenu", "Density/Volume Calculator"));
+    test.compare(waitForObjectExists(":DensityPanel.editMolecularFormula_QLineEdit").visible, true);
+    test.compare(waitForObjectExists(":DensityPanel.editMolecularFormula_QLineEdit").text, "H2O");
+    test.compare(waitForObjectExists(":DensityPanel.editMolecularFormula_QLineEdit").displayText, "H2O");
+    test.compare(waitForObjectExists(":DensityPanel.editMolarMass_QLineEdit").text, "18.0153");
+    test.compare(waitForObjectExists(":DensityPanel.editMolarMass_QLineEdit").enabled, true);
+    test.compare(waitForObjectExists(":DensityPanel.editMolarVolume_QLineEdit").visible, true);
+    test.compare(waitForObjectExists(":DensityPanel.editMolarVolume_QLineEdit").text, "");
+    test.compare(waitForObjectExists(":DensityPanel.editMassDensity_QLineEdit").text, "");
+    test.compare(waitForObjectExists(":DensityPanel.editMassDensity_QLineEdit").visible, true);
+    type(waitForObject(":DensityPanel.editMolecularFormula_QLineEdit"), "2");
+    type(waitForObject(":DensityPanel.editMolecularFormula_QLineEdit"), "<Tab>");
+    type(waitForObject(":DensityPanel.editMolarMass_QLineEdit"), "<Tab>");
+    type(waitForObject(":DensityPanel.editMolarVolume_QLineEdit"), "35");
+    type(waitForObject(":DensityPanel.editMolarVolume_QLineEdit"), "<Tab>");
+    test.compare(waitForObjectExists(":DensityPanel.editMolarMass_QLineEdit").text, "34.0147");
+    test.compare(waitForObjectExists(":DensityPanel.editMassDensity_QLineEdit").text, "0.971848571429");
+    clickButton(waitForObject(":DensityPanel.Reset_QPushButton"));
+    test.compare(waitForObjectExists(":DensityPanel.editMolecularFormula_QLineEdit").text, "H2O");
+    test.compare(waitForObjectExists(":DensityPanel.editMolarMass_QLineEdit").text, "18.0153");
+    test.compare(waitForObjectExists(":DensityPanel.editMolarVolume_QLineEdit").text, "");
+    test.compare(waitForObjectExists(":DensityPanel.editMassDensity_QLineEdit").text, "");
+    clickButton(waitForObject(":DensityPanel.Close_QPushButton"));
+}
Index: src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Kiessing_Calculator/test.js
===================================================================
--- src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Kiessing_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
+++ src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Kiessing_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
@@ -0,0 +1,30 @@
+function main() {
+    startApplication("sasview");
+    activateItem(waitForObjectItem(":MainWindow.menubar_QMenuBar", "Tool"));
+    activateItem(waitForObjectItem(":MainWindow.menuTool_QMenu", "Kiessig Thickness Calculator"));
+    test.compare(waitForObjectExists(":KiessigPanel_KiessigPanel").windowTitle, "Kiessig Thickness Calculator");
+    test.compare(waitForObjectExists(":KiessigPanel_KiessigPanel").visible, true);
+    test.compare(waitForObjectExists(":groupBox.deltaq_in_QLineEdit").text, "0.05");
+    test.compare(waitForObjectExists(":groupBox.deltaq_in_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_2.lengthscale_out_QLineEdit").text, "");
+    test.compare(waitForObjectExists(":groupBox_2.lengthscale_out_QLineEdit").readOnly, true);
+    type(waitForObject(":groupBox.deltaq_in_QLineEdit"), "<Backspace>");
+    type(waitForObject(":groupBox.deltaq_in_QLineEdit"), "<Backspace>");
+    type(waitForObject(":groupBox.deltaq_in_QLineEdit"), "1");
+    type(waitForObject(":groupBox.deltaq_in_QLineEdit"), "<Tab>");
+    clickButton(waitForObject(":KiessigPanel.computeButton_QPushButton"));
+    test.compare(waitForObjectExists(":groupBox_2.lengthscale_out_QLineEdit").text, "62.832");
+    test.compare(waitForObjectExists(":groupBox_2.lengthscale_out_QLineEdit").readOnly, true);
+    mouseDrag(waitForObject(":groupBox.deltaq_in_QLineEdit"), 34, 7, -67, 5, 1, Qt.LeftButton);
+    type(waitForObject(":groupBox.deltaq_in_QLineEdit"), "rrrr");
+    clickButton(waitForObject(":KiessigPanel.computeButton_QPushButton"));
+    test.compare(waitForObjectExists(":groupBox_2.lengthscale_out_QLineEdit").text, "");
+    test.compare(waitForObjectExists(":groupBox_2.lengthscale_out_QLineEdit").readOnly, true);
+    mouseDrag(waitForObject(":groupBox.deltaq_in_QLineEdit"), 35, 6, -94, 10, 1, Qt.LeftButton);
+    type(waitForObject(":groupBox.deltaq_in_QLineEdit"), "0");
+    clickButton(waitForObject(":KiessigPanel.computeButton_QPushButton"));
+    mouseDrag(waitForObject(":groupBox.deltaq_in_QLineEdit"), 20, 13, -33, -1, 1, Qt.LeftButton);
+    type(waitForObject(":groupBox.deltaq_in_QLineEdit"), "<Backspace>");
+    mouseClick(waitForObject(":groupBox_2.lengthscale_out_QLineEdit"), 44, 8, 0, Qt.LeftButton);
+    sendEvent("QCloseEvent", waitForObject(":KiessigPanel_KiessigPanel"));
+}
Index: src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_SLD_Calculator/test.js
===================================================================
--- src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_SLD_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
+++ src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_SLD_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
@@ -0,0 +1,45 @@
+function main() {
+    startApplication("sasview");
+    activateItem(waitForObjectItem(":MainWindow.menubar_QMenuBar", "Tool"));
+    activateItem(waitForObjectItem(":MainWindow.menuTool_QMenu", "SLD Calculator"));
+    test.compare(waitForObjectExists(":SldPanel_SldPanel").windowTitle, "SLD Calculator");
+    test.compare(waitForObjectExists(":SldPanel_SldPanel").visible, true);
+    test.compare(waitForObjectExists(":groupBoxInput.editMolecularFormula_QLineEdit").displayText, "H2O");
+    test.compare(waitForObjectExists(":groupBoxInput.editMolecularFormula_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBoxInput.editMolecularFormula_QLineEdit").enabled, true);
+    test.compare(waitForObjectExists(":groupBoxInput.editMassDensity_QLineEdit").text, "1");
+    test.compare(waitForObjectExists(":groupBoxInput.editWavelength_QLineEdit").text, "6");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronSldReal_QLineEdit").text, "-5.61e-07");
+    test.compare(waitForObjectExists(":groupBoxOutput.editCuKaSldReal_QLineEdit").text, "9.47e-06");
+    test.compare(waitForObjectExists(":groupBoxOutput.editMoKaSldReal_QLineEdit").text, "9.43e-06");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronIncXs_QLineEdit").text, "5.37");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronAbsXs_QLineEdit").text, "0.0742");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronLength_QLineEdit").text, "0.175");
+    type(waitForObject(":groupBoxInput.editMolecularFormula_QLineEdit"), "2");
+    type(waitForObject(":groupBoxInput.editMolecularFormula_QLineEdit"), "<Tab>");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronSldReal_QLineEdit").text, "7.31e-07");
+    test.compare(waitForObjectExists(":groupBoxOutput.editCuKaSldReal_QLineEdit").text, "9.03e-06");
+    test.compare(waitForObjectExists(":groupBoxOutput.editMoKaSldReal_QLineEdit").text, "8.99e-06");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronIncXs_QLineEdit").text, "2.84");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronAbsXs_QLineEdit").text, "0.0393");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronLength_QLineEdit").text, "0.323");
+    type(waitForObject(":groupBoxInput.editMassDensity_QLineEdit"), "5");
+    type(waitForObject(":groupBoxInput.editMassDensity_QLineEdit"), "<Tab>");
+    type(waitForObject(":groupBoxInput.editWavelength_QLineEdit"), "10");
+    type(waitForObject(":groupBoxInput.editWavelength_QLineEdit"), "<Tab>");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronSldReal_QLineEdit").text, "3.65e-06");
+    test.compare(waitForObjectExists(":groupBoxOutput.editCuKaSldReal_QLineEdit").text, "4.52e-05");
+    test.compare(waitForObjectExists(":groupBoxOutput.editMoKaSldReal_QLineEdit").text, "4.5e-05");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronIncXs_QLineEdit").text, "14.2");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronAbsXs_QLineEdit").text, "0.328");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronLength_QLineEdit").text, "0.0641");
+    clickButton(waitForObject(":SldPanel.Reset_QPushButton"));
+    test.compare(waitForObjectExists(":groupBoxInput.editMolecularFormula_QLineEdit").text, "H2O");
+    test.compare(waitForObjectExists(":groupBoxInput.editMassDensity_QLineEdit").text, "1");
+    test.compare(waitForObjectExists(":groupBoxInput.editWavelength_QLineEdit").text, "6");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronSldReal_QLineEdit").text, "-5.61e-07");
+    test.compare(waitForObjectExists(":groupBoxOutput.editNeutronIncXs_QLineEdit").text, "5.37");
+    sendEvent("QWheelEvent", waitForObject(":SldPanel_SldPanel"), -1835, 357, 120, 0, 2);
+    sendEvent("QWheelEvent", waitForObject(":SldPanel_SldPanel"), -1456, 356, -120, 0, 2);
+    clickButton(waitForObject(":SldPanel.Close_QPushButton"));
+}
Index: src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Scattering_Calculator/test.js
===================================================================
--- src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Scattering_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
+++ src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_Scattering_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
@@ -0,0 +1,170 @@
+function main() {
+    startApplication("sasview");
+    activateItem(waitForObjectItem(":MainWindow.menubar_QMenuBar", "Tool"));
+    activateItem(waitForObjectItem(":MainWindow.menuTool_QMenu", "Generic Scattering Calculator"));
+    setWindowState(waitForObject(":MainWindow_MainSasViewWindow"), WindowState.Minimize);
+    test.compare(waitForObjectExists(":GenericScatteringCalculator_GenericScatteringCalculator").windowTitle, "Generic SAS Calculator");
+    test.compare(waitForObjectExists(":GenericScatteringCalculator_GenericScatteringCalculator").visible, true);
+    test.compare(waitForObjectExists(":GenericScatteringCalculator_GenericScatteringCalculator").modal, false);
+    test.compare(waitForObjectExists(":groupBox_Datafile.txtData_QLineEdit").toolTip, "Display name of loaded datafile.");
+    test.compare(waitForObjectExists(":groupBox_Datafile.txtData_QLineEdit").text, "Default SLD Profile");
+    test.compare(waitForObjectExists(":groupBox_Datafile.cmdLoad_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cmdDraw_QPushButton").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").currentText, "Rectangular");
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").count, 2);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").currentIndex, 0);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.txtNoPixels_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.txtNoPixels_QLineEdit").text, "1000");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracIn_QLineEdit").text, "1.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracIn_QLineEdit").toolTip, "<html><head/><body><p>Ratio of spin up/(spin up + spin down) neutrons after the analyzer.</p><p>It must be between 0 and 1.</p><p>It is equal to 0.5 for unpolarized neutrons.</p></body></html>");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracOut_QLineEdit").text, "1.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracOut_QLineEdit").toolTip, "<html><head/><body><p>Ratio of spin up/(spin up + spin down) neutrons before the sample.</p><p>It must be between 0 and 1.</p><p>It is equal to 0.5 for unpolarized neutrons.</p></body></html>");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracOut_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpTheta_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpTheta_QLineEdit").text, "0.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpTheta_QLineEdit").toolTip, "<html><head/><body><p>Polarization angle.</p></body></html>");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtBackground_QLineEdit").text, "0.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtBackground_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtSolventSLD_QLineEdit").text, "0.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtSolventSLD_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtTotalVolume_QLineEdit").toolTip, "<html><head/><body><p>Default total volume calculated from the pizel information (or natural density for pdb file)</p></body></html>");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtTotalVolume_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtTotalVolume_QLineEdit").text, "216000.0");
+    test.compare(waitForObjectExists(":GenericScatteringCalculator.cmdCompute_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":GenericScatteringCalculator.cmdReset_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":GenericScatteringCalculator.cmdClose_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":GenericScatteringCalculator.cmdHelp_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.cmdDrawpoints_QPushButton").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.cmdSave_QPushButton").enabled, false);
+    clickButton(waitForObject(":GenericScatteringCalculator.cmdCompute_QPushButton"));
+    
+    sendEvent("QMoveEvent", waitForObject(":_Plotter2D"), 1165, 717, 1309, 731);
+    sendEvent("QMoveEvent", waitForObject(":_Plotter2D"), 1178, 699, 1322, 713);
+    sendEvent("QMoveEvent", waitForObject(":_Plotter2D"), 1026, 396, 1170, 410);
+    sendEvent("QCloseEvent", waitForObject(":_Plotter2D"));
+    mouseClick(waitForObject(":groupBox_Datafile.cbShape_QComboBox"), 122, 9, 0, Qt.LeftButton);
+    mouseClick(waitForObjectItem(":groupBox_Datafile.cbShape_QComboBox", "Ellipsoid"), 108, 9, 0, Qt.LeftButton);
+    mouseClick(waitForObject(":groupBox_Qrange.txtNoQBins_QLineEdit"), 31, 15, 0, Qt.LeftButton);
+    
+    mouseClick(waitForObject(":groupBox_Datafile.cbShape_QComboBox"), 137, 8, 0, Qt.LeftButton);
+    mouseClick(waitForObjectItem(":groupBox_Datafile.cbShape_QComboBox", "Ellipsoid"), 125, 2, 0, Qt.LeftButton);
+    clickButton(waitForObject(":GenericScatteringCalculator.cmdCompute_QPushButton"));
+    sendEvent("QCloseEvent", waitForObject(":_Plotter2D"));
+    mouseClick(waitForObject(":groupBox_InputParam.txtUpFracIn_QLineEdit"), 33, 10, 0, Qt.LeftButton);
+    type(waitForObject(":groupBox_InputParam.txtUpFracIn_QLineEdit"), "<Left>");
+    type(waitForObject(":groupBox_InputParam.txtUpFracIn_QLineEdit"), "<Left>");
+    type(waitForObject(":groupBox_InputParam.txtUpFracIn_QLineEdit"), "<Backspace>");
+    type(waitForObject(":groupBox_InputParam.txtUpFracIn_QLineEdit"), "2");
+    type(waitForObject(":groupBox_InputParam.txtUpFracIn_QLineEdit"), "<Backspace>");
+    type(waitForObject(":groupBox_InputParam.txtUpFracIn_QLineEdit"), "2");
+    mouseDrag(waitForObject(":groupBox_InputParam.txtUpTheta_QLineEdit"), 24, 11, -26, 11, 1, Qt.LeftButton);
+    type(waitForObject(":groupBox_InputParam.txtUpTheta_QLineEdit"), "ee");
+    type(waitForObject(":groupBox_InputParam.txtUpTheta_QLineEdit"), "<Backspace>");
+    type(waitForObject(":groupBox_InputParam.txtUpTheta_QLineEdit"), "<Backspace>");
+    type(waitForObject(":groupBox_InputParam.txtUpTheta_QLineEdit"), "2.0");
+    type(waitForObject(":groupBox_InputParam.txtUpTheta_QLineEdit"), "<Tab>");
+    type(waitForObject(":groupBox_InputParam.txtBackground_QLineEdit"), "1.0");
+    type(waitForObject(":groupBox_InputParam.txtBackground_QLineEdit"), "<Tab>");
+    type(waitForObject(":groupBox_InputParam.txtScale_QLineEdit"), "2.0");
+    type(waitForObject(":groupBox_InputParam.txtScale_QLineEdit"), "<Tab>");
+    type(waitForObject(":groupBox_InputParam.txtSolventSLD_QLineEdit"), "10.0");
+    type(waitForObject(":groupBox_InputParam.txtSolventSLD_QLineEdit"), "<Tab>");
+    clickButton(waitForObject(":GenericScatteringCalculator.cmdCompute_QPushButton"));
+
+    clickButton(waitForObject(":GenericScatteringCalculator.cmdReset_QPushButton"));
+ 
+    test.compare(waitForObjectExists(":groupBox_Datafile.txtData_QLineEdit").toolTip, "Display name of loaded datafile.");
+    test.compare(waitForObjectExists(":groupBox_Datafile.txtData_QLineEdit").text, "Default SLD Profile");
+    test.compare(waitForObjectExists(":groupBox_Datafile.cmdLoad_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cmdDraw_QPushButton").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").currentText, "Rectangular");
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").count, 2);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").currentIndex, 0);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.txtNoPixels_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.txtNoPixels_QLineEdit").text, "1000");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracIn_QLineEdit").text, "1.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracIn_QLineEdit").toolTip, "<html><head/><body><p>Ratio of spin up/(spin up + spin down) neutrons after the analyzer.</p><p>It must be between 0 and 1.</p><p>It is equal to 0.5 for unpolarized neutrons.</p></body></html>");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracOut_QLineEdit").text, "1.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracOut_QLineEdit").toolTip, "<html><head/><body><p>Ratio of spin up/(spin up + spin down) neutrons before the sample.</p><p>It must be between 0 and 1.</p><p>It is equal to 0.5 for unpolarized neutrons.</p></body></html>");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracOut_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpTheta_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpTheta_QLineEdit").text, "0.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpTheta_QLineEdit").toolTip, "<html><head/><body><p>Polarization angle.</p></body></html>");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtBackground_QLineEdit").text, "0.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtBackground_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtSolventSLD_QLineEdit").text, "0.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtSolventSLD_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtTotalVolume_QLineEdit").toolTip, "<html><head/><body><p>Default total volume calculated from the pizel information (or natural density for pdb file)</p></body></html>");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtTotalVolume_QLineEdit").readOnly, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtTotalVolume_QLineEdit").text, "216000.0");
+    test.compare(waitForObjectExists(":GenericScatteringCalculator.cmdCompute_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":GenericScatteringCalculator.cmdReset_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":GenericScatteringCalculator.cmdClose_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":GenericScatteringCalculator.cmdHelp_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.cmdDrawpoints_QPushButton").enabled, false);
+    snooze(2)
+
+    clickButton(waitForObject(":groupBox_Datafile.cmdLoad_QPushButton"));
+    waitForObjectItem(":stackedWidget.listView_QListView", "test");
+    doubleClickItem(":stackedWidget.listView_QListView", "test", 43, 15, 0, Qt.LeftButton);
+    waitForObjectItem(":stackedWidget.listView_QListView", "coordinate\\_data");
+    doubleClickItem(":stackedWidget.listView_QListView", "coordinate\\_data", 42, 7, 0, Qt.LeftButton);
+    waitForObjectItem(":stackedWidget.listView_QListView", "A\\_Raw\\_Example-1\\.omf");
+    doubleClickItem(":stackedWidget.listView_QListView", "A\\_Raw\\_Example-1\\.omf", 36, 10, 0, Qt.LeftButton);
+    snooze(2)
+    test.compare(waitForObjectExists(":groupBox_Datafile.txtData_QLineEdit").text, "A_Raw_Example-1.omf");
+    test.compare(waitForObjectExists(":groupBox_Datafile.cbShape_QComboBox").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_Datafile.cmdDraw_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracIn_QLineEdit").text, "1.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracIn_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracOut_QLineEdit").text, "1.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpFracOut_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpTheta_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtUpTheta_QLineEdit").text, "0.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtBackground_QLineEdit").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtBackground_QLineEdit").text, "0.01");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtScale_QLineEdit").text, "1.02");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtScale_QLineEdit").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtSolventSLD_QLineEdit").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtSolventSLD_QLineEdit").text, "0.0");
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtTotalVolume_QLineEdit").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_InputParam.txtTotalVolume_QLineEdit").text, "128000000.0");
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.txtNoPixels_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.txtNoPixels_QLineEdit").text, "16000");
+    test.compare(waitForObjectExists(":groupBox_5.txtMx_QLineEdit").text, "7.855e-09");
+    test.compare(waitForObjectExists(":groupBox_5.txtMx_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_5.txtMy_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_5.txtMy_QLineEdit").text, "4.5169e-08");
+    test.compare(waitForObjectExists(":groupBox_5.txtMz_QLineEdit").text, "9.9511e-10");
+    test.compare(waitForObjectExists(":groupBox_5.txtMz_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_5.txtNucl_QLineEdit").text, "0");
+    test.compare(waitForObjectExists(":groupBox_5.txtNucl_QLineEdit").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_6.txtXnodes_QLineEdit").text, "40");
+    test.compare(waitForObjectExists(":groupBox_6.txtXnodes_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_6.txtYnodes_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_6.txtYnodes_QLineEdit").text, "40");
+    test.compare(waitForObjectExists(":groupBox_6.txtZnodes_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_6.txtZnodes_QLineEdit").text, "10");
+    test.compare(waitForObjectExists(":groupBox_Stepsize.txtXstepsize_QLineEdit").text, "20");
+    test.compare(waitForObjectExists(":groupBox_Stepsize.txtXstepsize_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_Stepsize.txtYstepsize_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_Stepsize.txtYstepsize_QLineEdit").text, "20");
+    test.compare(waitForObjectExists(":groupBox_Stepsize.txtZstepsize_QLineEdit").enabled, false);
+    test.compare(waitForObjectExists(":groupBox_Stepsize.txtZstepsize_QLineEdit").text, "20");
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.cmdDrawpoints_QPushButton").enabled, true);
+    test.compare(waitForObjectExists(":groupBox_SLDPixelInfo.cmdSave_QPushButton").enabled, true);
+    sendEvent("QMouseEvent", waitForObject(":groupBox_SLDPixelInfo.cmdSave_QPushButton"), QEvent.MouseButtonPress, 44, 5, Qt.LeftButton, 1, 0);
+    sendEvent("QMouseEvent", waitForObject(":groupBox_SLDPixelInfo.cmdSave_QPushButton"), QEvent.MouseButtonRelease, 44, 5, Qt.LeftButton, 0, 0);
+    test.compare(waitForObjectExists(":QFileDialog_QFileDialog").windowTitle, "Save As");
+    test.compare(waitForObjectExists(":QFileDialog_QFileDialog").modal, true);
+    test.compare(waitForObjectExists(":fileNameEdit_QLineEdit").text, "sld_file");
+    test.compare(waitForObjectExists(":QFileDialog.fileTypeCombo_QComboBox").count, 1);
+    test.compare(waitForObjectExists(":QFileDialog.fileTypeCombo_QComboBox").currentText, "SLD file (*.sld)");
+    test.compare(waitForObjectExists(":QFileDialog.fileTypeCombo_QComboBox").currentIndex, 0);
+    sendEvent("QMouseEvent", waitForObject(":QFileDialog.Cancel_QPushButton"), QEvent.MouseButtonPress, 36, 12, Qt.LeftButton, 1, 0);
+    sendEvent("QMouseEvent", waitForObject(":QFileDialog.Cancel_QPushButton"), QEvent.MouseButtonRelease, 36, 12, Qt.LeftButton, 0, 0);
+    clickButton(waitForObject(":groupBox_SLDPixelInfo.cmdDrawpoints_QPushButton"));
+    
+}
Index: src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_SlitSize_Calculator/test.js
===================================================================
--- src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_SlitSize_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
+++ src/sas/qtgui/UnitTesting/SquishTestSuites/suite_sasview_calculators/tst_SlitSize_Calculator/test.js	(revision d6b234b2e72311f8e131a887fa355b3275fdad27)
@@ -0,0 +1,28 @@
+function main() {
+    startApplication("sasview");
+    activateItem(waitForObjectItem(":MainWindow.menubar_QMenuBar", "Tool"));
+    activateItem(waitForObjectItem(":MainWindow.menuTool_QMenu", "Slit Size Calculator"));
+    test.compare(waitForObjectExists(":groupBox.data_file_QLineEdit").text, "");
+    test.compare(waitForObjectExists(":groupBox_2.slit_length_out_QLineEdit").text, "");
+    clickButton(waitForObject(":SlitSizeCalculator.browseButton_QPushButton"));
+    waitForObjectItem(":stackedWidget.listView_QListView", "test");
+    doubleClickItem(":stackedWidget.listView_QListView", "test", 28, 5, 0, Qt.LeftButton);
+    waitForObjectItem(":stackedWidget.listView_QListView", "1d\\_data");
+    doubleClickItem(":stackedWidget.listView_QListView", "1d\\_data", 24, 7, 0, Qt.LeftButton);
+    waitForObjectItem(":stackedWidget.listView_QListView", "cyl\\_400\\_20\\.txt");
+    doubleClickItem(":stackedWidget.listView_QListView", "cyl\\_400\\_20\\.txt", 62, 13, 0, Qt.LeftButton);
+    test.compare(waitForObjectExists(":groupBox.data_file_QLineEdit").text, "cyl_400_20.txt");
+    test.compare(waitForObjectExists(":groupBox_2.slit_length_out_QLineEdit").text, "0.10238");
+    clickButton(waitForObject(":SlitSizeCalculator.browseButton_QPushButton"));
+    clickButton(waitForObject(":QFileDialog.toParentButton_QToolButton"));
+    waitForObjectItem(":stackedWidget.listView_QListView", "2d\\_data");
+    doubleClickItem(":stackedWidget.listView_QListView", "2d\\_data", 31, 5, 0, Qt.LeftButton);
+    waitForObjectItem(":stackedWidget.listView_QListView", "P123\\_D2O\\_40\\_percent\\.dat");
+    doubleClickItem(":stackedWidget.listView_QListView", "P123\\_D2O\\_40\\_percent\\.dat", 75, 14, 0, Qt.LeftButton);
+    sendEvent("QWheelEvent", waitForObject(":MainWindow.Welcome to SasView_QLabel"), 756, 5, -120, 0, 2);
+    sendEvent("QWheelEvent", waitForObject(":MainWindow.Welcome to SasView_QLabel"), 756, 5, -120, 0, 2);
+    test.compare(waitForObjectExists(":groupBox.data_file_QLineEdit").text, "P123_D2O_40_percent.dat");
+    test.compare(waitForObjectExists(":groupBox_2.slit_length_out_QLineEdit").text, "ERROR!");
+    test.compare(waitForObjectExists(":SlitSizeCalculator.browseButton_QPushButton").toolTip, "<html><head/><body><p>Compute the thickness or diameter.</p></body></html>");
+    clickButton(waitForObject(":SlitSizeCalculator.closeButton_QPushButton"));
+}
